function init()
  set("Mine", -1, 20, 5, 150,  20)

  set("Typ",            0,      1)
  set("Haus",           0,  4,  8)
  set("FuellZiel",      0,     60)
  set("Zeit",           0,   1500)
  set("Dollar",         0,     20)
  set("Suess",          0,    130)
  set("InaktivJaeger",  0,     -1)
  set("InaktivFalle",   0,     -1)
  set("Garten",         0,  3,  1)
  set("Feldarbeiter",   0)

  set("Typ",            1,      5)
  set("Suess",          1,    150)
  set("Haus",           1, 24,  2)
  set("Garten",         1,  1,  1)
  set("Feldarbeiter",   1)
  set("Minenarbeiter",  1, 20,  5)

  set("Typ",            2,      6)
  set("Suess",          2,    200)
  set("Haus",           2, 22, 16)
  set("Garten",         2,  1,  1)
  set("Feldarbeiter",   2)
  set("Minenarbeiter",  2, 20,  5)
  
  info("Fuellung benoetigt:", "FuellZiel")
  info("Fuellung erreicht:", "FuellGesamt")
  info("Restzeit:", "Zeit")
end

function computerzug(nr)
  if (nr == 0) then
    -- Menschlicher Spieler (Nachbearbeitung)
    set("Zeit", 0, get("Zeit", 0) - 1)
  elseif (nr > 0) then
    -- Computergegner
    if get("Suess", 1) >= get("KostenFeld1") and get("Dollar", 1) >= get("KostenFeld2") and get("AnzGarten", 1) < 6 then
      set("Suess",  1, get("Suess", 1) - get("KostenFeld1"))
      set("Dollar", 1, get("Dollar", 1) - get("KostenFeld2"))
      set("Garten", 1, get("AnzGarten", 1) + 1, 1)
    end
    if get("Suess", 1) >= 2*get("KostenArbeiter") and get("AnzFeldarbeiter", 1) < get("anzGarten", 1)/2 then
      set("Feldarbeiter", 1)
    end
    if get("Suess", 1) >= 2.4*get("KostenArbeiter") and get("AnzMinenarbeiter", 1) < get("AnzFeldarbeiter", 1)*2 then
      set("Minenarbeiter", 1, 20, 5)
    end
  end
end

function spielende()
  if get("FuellGesamt", 0) >= 60 then return 1 end -- Fuellziel erreicht
  if get("Zeit", 0) < 1 then return -1 end         -- Zeit abgelaufen
  return 0
end
