#include once "ToT.bi"
screenres SET.Fensterbreite, SET.Fensterhoehe, 32
randomize

' Bilder laden
for i as integer = 0 to Feldart.Defekt10 - 1
  img(i) = imagecreate(20, 20, 0)
next
bload "img" slash "haus.bmp", img(Feldart.Haus)
bload "img" slash "mine.bmp", img(Feldart.Mine)
for i as integer = 0 to 5
  bload "img" slash "garten" & i & ".bmp", img(Feldart.Garten0 + i)
next
for i as integer = 1 to 10
  img(Feldart.Defekt10+i-1) = imagecreate(33, 31, 0)
  bload "img" slash "defekt" & i*10 & ".bmp", img(Feldart.Defekt10+i-1)
next
hintergrund = imagecreate(SET.Fensterbreite-SET.FeldXPlus-10, SET.Fensterhoehe)

if luaL_loadfile(Lua, "level/level1.lua") orelse lua_pcall(Lua, 0, 0, 0) then
  print "Skriptfehler: " & *lua_tostring(Lua, -1)
  getkey
  end
end if

' Leveldaten auslesen
lua_getglobal(Lua, "init")
if lua_pcall(Lua, 0, 0, 0) then
  print "Initiationsfehler: " & *lua_tostring(Lua, -1)
  getkey
  end
end if

' Feld zeichnen
for i as integer = 1 to SET.FeldBreit
  for k as integer = 1 to SET.FeldHoch
    hexfeld i, k, feld(i, k)
  next
next

' Spielfeld-Hintergrund sichern fuer die spaetere Darstellung
get (SET.FeldXplus+10, 0)-step(SET.Fensterbreite-SET.FeldXPlus-11, SET.Fensterhoehe-1), hintergrund

steuerleiste opt(0)
info opt(), 0

' Spielstart
for i as integer = 0 to spielerzahl-1
  spielerMisch(i) = i
next

dim zeit as double = timer
dim as integer schrittweite = 0, maus = 0, mx, my, mb, statusanzeige = 0
dim as string taste
do
  getmouse mx, my,, mb
  taste = inkey
  if maus then
    ' Button wurde gedrueckt - wurde die Maustaste wieder losgelassen?
    if mb = 0 then maus = 0
  elseif mb = 2 then
    opt(0).markX = 0
    opt(0).markY = 0
    statusanzeige = 0
    steuerleiste opt(0), 0
  elseif mb = 1 then
    if mx > SET.FeldXPlus then
      ' Hexfeld angeklickt?
      dim as integer x = 2*(mx - SET.HexXplus - SET.FeldXPlus - SET.HexRadius\3) \ (SET.HexRadius*3)
      dim as integer y = (my - 2*SET.HexYplus) / SET.HexGroesse -1 - (x mod 2)/2
      if x > 0 and y > 0 and x <= SET.FeldBreit and y <= SET.FeldHoch then
        statusanzeige = 0
        opt(0).markX = x
        opt(0).markY = y
        if x = opt(0).hausX and y = opt(0).hausY then
          statusanzeige = Modus.Haus
        elseif feld(x, y).art = Feldart.Mine then
          statusanzeige = Modus.Mine
        else
          dim as integer i
          for i = 1 to spielerzahl
            if x = opt(i).hausX and y = opt(i).hausY and opt(i).typ > 4 then
              statusanzeige = Modus.Fremd
              exit for
            end if
          next
          if i > spielerzahl then
            for i = 1 to 18
              if opt(0).garten(i).x = opt(0).markX _
                 and opt(0).garten(i).y = opt(0).markY then exit for
            next
            if i < 19 then statusanzeige = Modus.Feld
          end if
        end if
        steuerleiste opt(0), statusanzeige
      end if
    else
      ' Button gedrueckt?      
      dim as integer b = pruefeButtons(opt(0), statusanzeige)
      with opt(0) 
        select case b
          case Button.Feld
            .add Figurart.feld, .hausX, .hausY
            maus = -1
          case Button.Mine
            .add Figurart.mine, .hausX, .hausY, .markX, .markY
            maus = -1
          case Button.Jaeger
            .add Figurart.jaeger, .hausX, .hausY, .markX, .markY
            maus = -1
          case Button.Krieger
            .add figurart.krieger, .markX, .markY
            maus = -1
          case Button.FalleProd
          case Button.FalleSetz
          case Button.Garten
            dim as integer i
            for i = 1 to 18
              if .garten(i).wert = 0 _
                 and .garten(i).x = opt(0).markX _
                 and .garten(i).y = opt(0).markY then exit for
            next
            if i < 19 then
              .garten(i).wert = 1
              .suess -= SET.KostenFeld1
              .dollar -= SET.KostenFeld2
              .anzGarten += 1
              feld(opt(0).markX, opt(0).markY).art = Feldart.Garten0
            end if
            maus = -1
        end select
        if b > 0 then info opt(), 0 : steuerleiste opt(0), statusanzeige
      end with
    end if
  end if
  ' Zeitschritt
  if timer > zeit + SET.Wartezeit then
    zeit = timer
    schrittweite += 1
    screenlock
    put (SET.FeldXPlus+10, 0), hintergrund, pset
    for i as integer = 0 to 9
      zeichne opt(i), schrittweite
    next
    screenunlock
    if schrittweite = SET.Schrittezahl then
      ' zufaellige Reihenfolge der Spieler
      for i as integer = 0 to spielerzahl-2
        for k as integer = i+1 to spielerzahl-1
          if int(rnd*(k-i+1)) = 0 then swap spielerMisch(i), spielerMisch(k)
        next
      next
      
      ' Spieler der Reihe nach abarbeiten
      schrittweite = 0
      info opt(), 0
      steuerleiste opt(0), statusanzeige
      for i as integer = 0 to spielerzahl
        ' Computergegner
        lua_getglobal(Lua, "computerzug")
        lua_pushnumber(Lua, spielerMisch(i))
        if lua_pcall(Lua, 1, 0, 0) then
          print "Fehler beim Computerzug: " & *lua_tostring(Lua, -1)
          getkey
          end
        end if
      next
      bewegen opt()
      ' Siegbedingung pruefen
      lua_getglobal(Lua, "spielende")
      if lua_pcall(Lua, 0, 1, 0) then
        print "Fehler beim Spielende-Test: " & *lua_tostring(Lua, -1)
        getkey
        end
      end if
      select case lua_tonumber(Lua, -1)
        case 1
          info opt(), 0
          draw string ((SET.FeldBreit+2)*SET.HexRadius*3/4+SET.HexXplus+SET.FeldXplus - 56, _
                      ((SET.FeldHoch+2)*SET.HexGroesse)\2 + SET.HexYplus - 4), "ZIEL ERREICHT!"
          getkey
          end
        case -1
          info opt(), 0
          draw string ((SET.FeldBreit+2)*SET.HexRadius*3/4+SET.HexXplus+SET.FeldXplus - 52, _
                      ((SET.FeldHoch+2)*SET.HexGroesse)\2 + SET.HexYplus - 4), "SPIEL VERLOREN!"
          getkey
          end
      end select
    end if    
  end if
  sleep 1
loop until inkey = chr(255, 107)
