function init()
  set("Mine", 0, 3,   8, 150,   0)
  set("Mine", 1, 23, 12, 150,   0)

  set("Typ",            0,      1)
  set("Haus",           0,  6, 10)
  set("Dollar",         0,     20)
  set("Suess",          0,    200)
  set("InaktivFalle",   0,     -1)

  set("Typ",            1,      5)
  set("Suess",          1,    120)
  set("Haus",           1, 20, 11)
  set("Garten",         1,  1,  1)
  set("Garten",         1,  2,  1)
  set("Feldarbeiter",   1)
  set("Minenarbeiter",  1, 23, 12)
  
  info("geasmte Beute:", "beute")
  info("gegner. Schaden:", "Schaden", 1)
  info("eigener Schaden:", "Schaden")
end

function computerzug(nr)
  if (nr == 0) then
    -- Menschlicher Spieler (Nachbearbeitung)
  else
    -- Computergegner
    if get("Suess", 1) > get("KostenFeld1") and get("Dollar", 1) >= get("KostenFeld2") and get("AnzGarten", 1) < 6 then
      set("Suess",  1, get("Suess", 1) - get("KostenFeld1"))
      set("Dollar", 1, get("Dollar", 1) - get("KostenFeld2"))
      set("Garten", 1, get("AnzGarten", 1) + 1, 1)
    end
    if get("Suess", 1) >= 2*get("KostenArbeiter") and get("AnzFeldarbeiter", 1) < get("anzGarten", 1)/2 then
      set("Feldarbeiter", 1)
    end
    if get("Suess", 1) >= 3*get("KostenArbeiter") and get("AnzMinenarbeiter", 1) < get("AnzFeldarbeiter", 1) then
      lastAction = get("lastAction", 1)
      if lastAction > 2 then
        set("Minenarbeiter", 1, 23, 12)
        set("lastAction", 1, 0)
      else
        set("Jaeger", 1, 6, 10)
        set("lastAction", 1, lastAction+1)
      end
    end
  end
end

function spielende()
  if get("schaden", 0) >= 100 then return -1 end -- eigenes Haus verwuestet
  if get("schaden", 1) >= 100 then return 1  end -- fremdes Haus verwuestet
  return 0
end
